BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, BaseTokenStreamTestCase.CheckClearAttributesAttribute, org.apache.lucene.util.Attribute

Enclosing class:
  BaseTokenStreamTestCase

    public static final class BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements BaseTokenStreamTestCase.CheckClearAttributesAttribute

Attribute that records if it was cleared or not. This is used for testing that clearAttributes() was called correctly.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl()`

Method Summary
`void` | `clear()`
`void` | `copyTo(org.apache.lucene.util.AttributeImpl target)`
`boolean` | `equals(Object other)`
`boolean` | `getAndResetClearCalled()`
`int` | `hashCode()`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl

    public BaseTokenStreamTestCase.CheckClearAttributesAttributeImpl()

Method Detail

### getAndResetClearCalled

    public boolean getAndResetClearCalled()

  Specified by:
    `getAndResetClearCalled` in interface `BaseTokenStreamTestCase.CheckClearAttributesAttribute`

### clear

    public void clear()

  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD